"use strict";
/**
 * Copyright (c) 2022 - present Tiny CLI Authors.
 * Copyright (c) 2022 - present Huawei Cloud Computing Technologies Co., Ltd.
 *
 * Use of this source code is governed by an MIT-style license.
 *
 * THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,
 * BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR
 * A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE DETAILS.
 *
 */
/**
 * @desc: 清除缓存
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const cli_devkit_1 = require("@opentiny/cli-devkit");
const fs = __importStar(require("fs"));
const path = __importStar(require("path"));
const rimraf_1 = __importDefault(require("rimraf"));
const node_emoji_1 = __importDefault(require("node-emoji"));
const index_1 = __importDefault(require("./locale/index"));
const log = cli_devkit_1.logs('core-commands');
async function default_1() {
    const intl = new cli_devkit_1.Intl(index_1.default);
    const cdnPath = path.join(cli_devkit_1.home.getHomePath(), 'LocalCDNPath');
    const bin = cli_devkit_1.cliConfig.getBinName();
    log.info(intl.get('startClear'));
    // 删除LocalCDNPath目录
    if (fs.existsSync(cdnPath)) {
        rimraf_1.default.sync(cdnPath);
    }
    cli_devkit_1.cache.clear();
    const result = cli_devkit_1.home.cleanHomeDir();
    if (!result.success) {
        log.error(`******************** ${node_emoji_1.default.get('warning')} ${node_emoji_1.default.get('warning')}  ERROR  ${node_emoji_1.default.get('warning')} ${node_emoji_1.default.get('warning')} **********************`);
        log.error(intl.get('clearfail', {
            tool: bin,
            removePath: result.removePath,
        }));
        log.error(`******************** ${node_emoji_1.default.get('warning')} ${node_emoji_1.default.get('warning')}  ERROR  ${node_emoji_1.default.get('warning')} ${node_emoji_1.default.get('warning')} **********************`);
    }
    else {
        log.success(intl.get('finishClear'));
    }
}
exports.default = default_1;
