"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Copyright (c) 2022 - present Tiny CLI Authors.
 * Copyright (c) 2022 - present Huawei Cloud Computing Technologies Co., Ltd.
 *
 * Use of this source code is governed by an MIT-style license.
 *
 * THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,
 * BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR
 * A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE DETAILS.
 *
 */
/**
 * 设置cnpmrc
 * 类似于 $ npm config set registry http://cmc-cd-mirror.rnd.huawei.com/npm
 */
const path = __importStar(require("path"));
const os_1 = __importDefault(require("os"));
const cli_devkit_1 = require("@opentiny/cli-devkit");
const log = cli_devkit_1.logs('core-commands');
exports.default = async (argv) => {
    // set 方法
    if (argv && argv.length === 3 && argv[0] === 'set') {
        const obj = {};
        const key = argv[1];
        const value = argv[2];
        obj[key] = value;
        cli_devkit_1.npm.setCnpmrc(obj);
        log.success(`已将 ${key}=${value} 写入到.cnpmrc文件中!`);
    }
    else if (argv && argv.length === 2 && argv[0] === 'get') {
        const config = cli_devkit_1.npm.getCnpmrc();
        const value = argv[1];
        if (config[value]) {
            log.success(config[value]);
        }
        else {
            log.error(`${value} 不在.cnpmrc文件中`);
        }
    }
    else if (argv && argv.length === 2 && argv[0] === 'delete') {
        const config = cli_devkit_1.npm.getCnpmrc();
        const value = argv[1];
        delete config[value];
        cli_devkit_1.npm.setCnpmrc(config);
        log.error(`${value} 从.cnpmrc文件中删除!`);
    }
    else if (argv && argv[0] === 'list') {
        const config = cli_devkit_1.npm.getCnpmrc();
        const root = os_1.default.homedir();
        log.success(path.join(root, '.cnpmrc'));
        console.log(config);
    }
    else {
        const bin = cli_devkit_1.cliConfig.getBinName();
        log.warn(`config 参数不正确，用法举例：

# 设置.cnpmrc 文件，写入registry
${bin} config set registry http://cmc-cd-mirror.rnd.huawei.com/npm/

# 获取.cnpmrc 文件中registry的值
${bin} config get registry

# 列出所有.cnpmrc文件配置
${bin} config list

# 删除.cnpmrc文件中registry的配置
${bin} config delete
`);
    }
};
