"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Copyright (c) 2022 - present Tiny CLI Authors.
 * Copyright (c) 2022 - present Huawei Cloud Computing Technologies Co., Ltd.
 *
 * Use of this source code is governed by an MIT-style license.
 *
 * THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,
 * BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR
 * A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE DETAILS.
 *
 */
const chalk_1 = __importDefault(require("chalk"));
const path = __importStar(require("path"));
const cli_devkit_1 = require("@opentiny/cli-devkit");
const log = cli_devkit_1.logs('core-commands');
async function default_1() {
    const bin = cli_devkit_1.cliConfig.getBinName();
    console.log(chalk_1.default.magenta(`${bin} v${process.env[cli_devkit_1.cliConfig.PROCESS_ENV_CLI_VERSION]}`));
    // 获取toolkit
    let toolkitName = cli_devkit_1.config.getToolkitName();
    if (toolkitName) {
        try {
            const pkgPath = path.join(cli_devkit_1.home.getModulesPath(), toolkitName, 'package.json');
            log.debug(`${toolkitName} pacage.json path = ${pkgPath}`);
            const pkg = require(pkgPath);
            console.log(chalk_1.default.magenta(`${toolkitName} v${pkg.version}`));
        }
        catch (e) {
            log.debug(e);
        }
    }
}
exports.default = default_1;
